Bug 839461 - RFE: Inject metadata tags to topic <section> role attribute
RFE: Inject metadata tags to topic <section> role attribute
Status: NEW
Product: PressGang CCMS
Classification: Community
Component: CSProcessor (Show other bugs)
1.x
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: pressgang-ccms-dev
:
Depends On: 806181
Blocks: 838277
  Show dependency treegraph
 
Reported: 2012-07-11 22:41 EDT by Joshua Wulf
Modified: 2014-10-26 21:14 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Wulf 2012-07-11 22:41:01 EDT
I need a metadata category property that causes all metadata tags in that category that are assigned to a topic to be injected into the role attribute of the topic's <section> element when it is built, and for them to be injected when it's built with the csprocessor.

So, for example, I tag my topic with "Programming Language":"Python" and it comes out with:

<section role="programming-language-python">

The form should be (pseudocode):

for each Topic.Tags as Tag
  if Tag.ParentCategory.hasProperty("inject as role")
    role=role+(Category.toLowerCase()+"-"+Tag.toLowerCase).escapeSpaces("-") + " "; 

So the role attribute will be a space-separated list of injectable tags with internal spaces replaced with "-".

I know that tag names are guaranteed unique at this point, but I think putting the category will make the meaning clearer in the html output (where the role is rendered as a class attribute).
Comment 1 Joshua Wulf 2013-04-04 08:38:48 EDT
The Docbook TC is considering enabling microdata or RDFa support for schema.org metadata markup. 

http://sourceforge.net/tracker/index.php?func=detail&aid=3608790&group_id=21935&atid=384107

How that shakes out will have an impact on the best way to inject metadata into topics for discovery.
Comment 2 Misty Stanley-Jones 2013-05-28 22:37:28 EDT
This is not slotted for any cycles at this time.

Note You need to log in before you can comment on or make changes to this bug.